PatternElement (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching

## Class PatternElement

- java.lang.Object
- - org.neo4j.graphmatching.PatternElement

- Deprecated.

      @Deprecated
      public class PatternElement
      extends Object

  Represents a part of a match. It holds the matching `Node`, its corresponsing `PatternNode` in the client-supplied pattern as well as the last `Relationship` and `PatternRelationship` to get there.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `PatternRelationship` | `getFromPatternRelationship()` Deprecated. Returns the `PatternRelationship` corresponding to the matching `Relationship`.
    `Relationship` | `getFromRelationship()` Deprecated. Returns the `Relationship` traversed to get to the `Node` returned from `getNode()`.
    `Node` | `getNode()` Deprecated. Returns the matching `Node` which is just one part of the whole match.
    `PatternNode` | `getPatternNode()` Deprecated. Returns the `PatternNode` corresponding to the matching `Node`.
    `int` | `hashCode()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPatternNode

          public PatternNode getPatternNode()

      Deprecated.
      Returns the `PatternNode` corresponding to the matching `Node`.
      Returns:
        the `PatternNode` corresponsing to matching `Node`.

    - #### getNode

          public Node getNode()

      Deprecated.
      Returns the matching `Node` which is just one part of the whole match.
      Returns:
        the matching `Node` which is just one part of the whole match.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### getFromPatternRelationship

          public PatternRelationship getFromPatternRelationship()

      Deprecated.
      Returns the `PatternRelationship` corresponding to the matching `Relationship`.
      Returns:
        the `PatternRelationship` corresponsing to matching `Relationship`.

    - #### getFromRelationship

          public Relationship getFromRelationship()

      Deprecated.
      Returns the `Relationship` traversed to get to the `Node` returned from `getNode()`.
      Returns:
        the `Relationship` traversed to get to this node.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.